<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: AnalyticsManagerServer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d55/class_analytics_manager_server.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AnalyticsManagerServer Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a25c11ca5b0d869de4e773ee8cc112b1f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d55/class_analytics_manager_server.html#a25c11ca5b0d869de4e773ee8cc112b1f">OnPlayerConnect</a> (Man player)</td></tr>
<tr class="separator:a25c11ca5b0d869de4e773ee8cc112b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0872e27b928ee98b2e2c28c48191fa1d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d55/class_analytics_manager_server.html#a0872e27b928ee98b2e2c28c48191fa1d">OnEntityKilled</a> (Object killer, EntityAI target)</td></tr>
<tr class="separator:a0872e27b928ee98b2e2c28c48191fa1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba8bbc484f9c80d7da36ac84a3c7c1fd"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d55/class_analytics_manager_server.html#aba8bbc484f9c80d7da36ac84a3c7c1fd">OnAnimalKilled</a> (Man killer, EntityAI target)</td></tr>
<tr class="separator:aba8bbc484f9c80d7da36ac84a3c7c1fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a609d960df044732eacca5bccb3b330f9"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d55/class_analytics_manager_server.html#a609d960df044732eacca5bccb3b330f9">EXP_STAT_ANIMALS_KILLED</a> = &quot;animals_killed&quot;</td></tr>
<tr class="separator:a609d960df044732eacca5bccb3b330f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c.html">ExpansionAnalyticsManagerServer.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html">expansionanalyticsmanagerserver.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aba8bbc484f9c80d7da36ac84a3c7c1fd" name="aba8bbc484f9c80d7da36ac84a3c7c1fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba8bbc484f9c80d7da36ac84a3c7c1fd">&#9670;&#160;</a></span>OnAnimalKilled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void AnalyticsManagerServer::OnAnimalKilled </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>killer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html#l00061">61</a> of file <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html">expansionanalyticsmanagerserver.c</a>.</p>

</div>
</div>
<a id="a0872e27b928ee98b2e2c28c48191fa1d" name="a0872e27b928ee98b2e2c28c48191fa1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0872e27b928ee98b2e2c28c48191fa1d">&#9670;&#160;</a></span>OnEntityKilled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AnalyticsManagerServer::OnEntityKilled </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>killer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html#l00035">35</a> of file <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html">expansionanalyticsmanagerserver.c</a>.</p>

</div>
</div>
<a id="a25c11ca5b0d869de4e773ee8cc112b1f" name="a25c11ca5b0d869de4e773ee8cc112b1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25c11ca5b0d869de4e773ee8cc112b1f">&#9670;&#160;</a></span>OnPlayerConnect()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void AnalyticsManagerServer::OnPlayerConnect </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html#l00020">20</a> of file <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html">expansionanalyticsmanagerserver.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a609d960df044732eacca5bccb3b330f9" name="a609d960df044732eacca5bccb3b330f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a609d960df044732eacca5bccb3b330f9">&#9670;&#160;</a></span>EXP_STAT_ANIMALS_KILLED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string AnalyticsManagerServer::EXP_STAT_ANIMALS_KILLED = &quot;animals_killed&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html#l00015">15</a> of file <a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html">expansionanalyticsmanagerserver.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/analytics/<a class="el" href="../../d5/db5/expansionanalyticsmanagerserver_8c_source.html">expansionanalyticsmanagerserver.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d55/class_analytics_manager_server.html">AnalyticsManagerServer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
